Patch is from here:
https://build.opensuse.org/package/view_file/openSUSE:Factory:PowerLE/llvm/llvm-config-lib64.patch?expand=1

This patch makes llvm uses /usr/lib64 as library location.

diff -ur llvm.orig/tools/llvm-config/llvm-config.cpp llvm/tools/llvm-config/llvm-config.cpp
--- llvm.orig/tools/llvm-config/llvm-config.cpp	2012-11-12 11:25:40.547628293 +0100
+++ llvm/tools/llvm-config/llvm-config.cpp	2012-12-02 15:09:31.981279773 +0100
@@ -231,15 +231,15 @@
     switch (DevelopmentTreeLayout) {
     case MakefileStyle:
       ActiveBinDir = ActiveObjRoot + "/" + LLVM_BUILDMODE + "/bin";
-      ActiveLibDir = ActiveObjRoot + "/" + LLVM_BUILDMODE + "/lib";
+      ActiveLibDir = ActiveObjRoot + "/" + LLVM_BUILDMODE + "/lib64";
       break;
     case CMakeStyle:
       ActiveBinDir = ActiveObjRoot + "/bin";
-      ActiveLibDir = ActiveObjRoot + "/lib";
+      ActiveLibDir = ActiveObjRoot + "/lib64";
       break;
     case CMakeBuildModeStyle:
       ActiveBinDir = ActiveObjRoot + "/bin/" + LLVM_BUILDMODE;
-      ActiveLibDir = ActiveObjRoot + "/lib/" + LLVM_BUILDMODE;
+      ActiveLibDir = ActiveObjRoot + "/lib64/" + LLVM_BUILDMODE;
       break;
     }
 
@@ -250,7 +250,7 @@
     ActivePrefix = CurrentExecPrefix;
     ActiveIncludeDir = ActivePrefix + "/include";
     ActiveBinDir = ActivePrefix + "/bin";
-    ActiveLibDir = ActivePrefix + "/lib";
+    ActiveLibDir = ActivePrefix + "/lib64";
     ActiveIncludeOption = "-I" + ActiveIncludeDir;
   }
